rte_node_ethdev_config(3)

NAME
rte_node_ethdev_config

SYNOPSIS

#include <rte_node_eth_api.h>

  Data Fields

uint16_t port_id
uint16_t num_rx_queues
uint16_t num_tx_queues
struct rte_mempool ** mp
uint16_t mp_count

Detailed Description

Port config for ethdev_rx and ethdev_tx node.

Definition at line 31 of file rte_node_eth_api.h.

Field Documentation

  uint16_t port_id
Port identifier

Definition at line 32 of file rte_node_eth_api.h.

  uint16_t num_rx_queues
Number of Rx queues.

Definition at line 34 of file rte_node_eth_api.h.

  uint16_t num_tx_queues
Number of Tx queues.

Definition at line 36 of file rte_node_eth_api.h.

  struct rte_mempool** mp
Array of mempools associated to Rx queue.

Definition at line 38 of file rte_node_eth_api.h.

  uint16_t mp_count
Size of mp array.

Definition at line 40 of file rte_node_eth_api.h.

Author

Generated automatically by Doxygen for DPDK from the source code.